package dto

type ConfigResp struct {
	Key         string `json:"key"`
	Value       string `json:"value"`
	OptionKey   string `json:"option_key"`
	ValueType   string `json:"value_type"`
	Description string `json:"description"`
	Order       int    `json:"order"`
	IsEnabled   bool   `json:"is_enabled"`
	Uri         string `json:"uri"`
}

type ConfigOptionResp struct {
	Flag   string `json:"flag"`
	Text   string `json:"text"`
	Value  string `json:"value"`
	Order  int    `json:"order"`
	Enable bool   `json:"enable"`
}

type ConfigItemReq struct {
	Title   string   `json:"title"`
	Columns []string `json:"columns"`
}
